# eric4.Preferences.ConfigurationPages.EditorTypingPage

Module implementing the Editor Typing configuration page.

### Global Attributes

None

### Classes

EditorTypingPage | Class implementing the Editor Typing configuration page.

### Functions

create | Module function to create the configuration page.

## EditorTypingPage

Class implementing the Editor Typing configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorTypingPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorTypingPage | Constructor
on_languageCombo_activated | Private slot to select the page related to the selected language.
save | Public slot to save the Editor Typing configuration.

### Static Methods

None

#### EditorTypingPage (Constructor)

EditorTypingPage()

Constructor

#### EditorTypingPage.on_languageCombo_activated

on_languageCombo_activated(language)

Private slot to select the page related to the selected language.

language
  name of the selected language (QString)

#### EditorTypingPage.save

save()

Public slot to save the Editor Typing configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up